Index: testsuites/tmtests/tm12/task1.c
===================================================================
--- testsuites/tmtests/tm12/task1.c	(revision d6afec1859b2a589da52a0d26111affa0b6a1662)
+++ testsuites/tmtests/tm12/task1.c	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
@@ -1,44 +1,20 @@
-/* SPDX-License-Identifier: BSD-2-Clause */
-
 /*
- *  COPYRIGHT (c) 1989-2013.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
  *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
  *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in the
- *    documentation and/or other materials provided with the distribution.
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
  *
- * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
- * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
- * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
- * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
- * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
- * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
- * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
- * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
- * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
- * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
- * POSSIBILITY OF SUCH DAMAGE.
+ *  $Id$
  */
 
-#if !defined(OPERATION_COUNT)
-#define OPERATION_COUNT 100
-#endif
-
-#ifdef HAVE_CONFIG_H
-#include "config.h"
-#endif
-
-#include <rtems/btimer.h>
-
-#define CONFIGURE_INIT
 #include "system.h"
-
-const char rtems_test_name[] = "TIME TEST 12";
+#undef EXTERN
+#define EXTERN
+#include "conftbl.h"
+#include "gvar.h"
 
 rtems_id Queue_id;
@@ -58,7 +34,4 @@
 );
 
-#define MESSAGE_SIZE (sizeof(long) * 4)
-
-int operation_count = OPERATION_COUNT;
 
 rtems_task Init(
@@ -69,12 +42,10 @@
   rtems_status_code status;
 
-  Print_Warning();
-
-  TEST_BEGIN();
+  puts( "\n\n*** TIME TEST 12 ***" );
 
   status = rtems_task_create(
     1,
-    RTEMS_MAXIMUM_PRIORITY - 1u,
-    RTEMS_MINIMUM_STACK_SIZE,
+    251,
+    1024,
     RTEMS_DEFAULT_MODES,
     RTEMS_DEFAULT_ATTRIBUTES,
@@ -86,5 +57,6 @@
   directive_failed( status, "rtems_task_start" );
 
-  rtems_task_exit();
+  status = rtems_task_delete( RTEMS_SELF );
+  directive_failed( status, "rtems_task_delete of RTEMS_SELF" );
 }
 
@@ -93,5 +65,5 @@
 )
 {
-  int                  index;
+  rtems_unsigned32     index;
   rtems_task_entry     task_entry;
   rtems_task_priority  priority;
@@ -102,6 +74,5 @@
   status = rtems_message_queue_create(
     rtems_build_name( 'M', 'Q', '1', ' ' ),
-    (uint32_t) operation_count,
-    MESSAGE_SIZE,
+    OPERATION_COUNT,
     RTEMS_DEFAULT_ATTRIBUTES,
     &Queue_id
@@ -109,14 +80,11 @@
   directive_failed( status, "rtems_message_queue_create" );
 
-  priority = RTEMS_MAXIMUM_PRIORITY - 1u;
+  priority = 250;
 
-  if ( OPERATION_COUNT > RTEMS_MAXIMUM_PRIORITY - 2 )
-    operation_count =  RTEMS_MAXIMUM_PRIORITY - 2;
-
-  for( index = 0; index < operation_count ; index++ ) {
+  for( index = 0; index <= OPERATION_COUNT ; index++ ) {
     status = rtems_task_create(
       rtems_build_name( 'T', 'I', 'M', 'E' ),
       priority,
-      RTEMS_MINIMUM_STACK_SIZE,
+      1024,
       RTEMS_DEFAULT_MODES,
       RTEMS_DEFAULT_ATTRIBUTES,
@@ -127,6 +95,6 @@
     priority--;
 
-    if ( index == operation_count-1 ) task_entry = High_task;
-    else                              task_entry = Low_tasks;
+    if ( index==OPERATION_COUNT ) task_entry = High_task;
+    else                          task_entry = Low_tasks;
 
     status = rtems_task_start( task_id, task_entry, 0 );
@@ -139,26 +107,25 @@
 )
 {
-  int  index;
+  rtems_unsigned32  index;
 
-  benchmark_timer_initialize();
-    for ( index=1 ; index < operation_count ; index++ )
-      (void) benchmark_timer_empty_function();
-  overhead = benchmark_timer_read();
+  Timer_initialize();
+    for ( index=1 ; index <= OPERATION_COUNT ; index++ )
+      (void) Empty_function();
+  overhead = Read_timer();
 
-  benchmark_timer_initialize();
-    for ( index=1 ; index < operation_count ; index++ )
-      (void) rtems_message_queue_send( Queue_id, Buffer, MESSAGE_SIZE );
-  end_time = benchmark_timer_read();
+  Timer_initialize();
+    for ( index=1 ; index <= OPERATION_COUNT ; index++ )
+      (void) rtems_message_queue_send( Queue_id, (long (*)[4]) Buffer );
+  end_time = Read_timer();
 
   put_time(
-    "rtems_message_queue_send: task readied returns to caller",
+    "rtems_message_queue_send (readying)",
     end_time,
-    operation_count - 1,
+    OPERATION_COUNT,
     overhead,
-    0
+    CALLING_OVERHEAD_MESSAGE_QUEUE_SEND
   );
 
-  TEST_END();
-  rtems_test_exit( 0 );
+  exit( 0 );
 }
 
@@ -167,10 +134,7 @@
 )
 {
-  size_t  size;
-
   (void) rtems_message_queue_receive(
            Queue_id,
            (long (*)[4]) Buffer,
-           &size,
            RTEMS_DEFAULT_OPTIONS,
            RTEMS_NO_TIMEOUT
